メインコンテンツへ移動
Nowledge MemNowledge Mem

スレッドテールを調整

POST
/threads/{thread_id}/reconcile-tail

追記のセマンティクスを変更することなく、スレッドのテールを安全に置き換えます。

任意のリクエストフィールド:

  • matched_count (必須int): まだ一致している先頭メッセージの数
  • messages (必須array): 置き換え用のテールメッセージ
  • expected_tail_ids (任意string[]): 楽観的並行性のための現在のリモートテールメッセージID

パスパラメータ

thread_id*スレッドID

リクエストボディ

application/json

TypeScript定義

TypeScriptでrequest body型を使用します。

レスポンスボディ

application/json

application/json

curl -X POST "https://example.com/threads/string/reconcile-tail" \  -H "Content-Type: application/json" \  -d '{}'
{  "success": true,  "thread_id": "string",  "messages_replaced": 0,  "messages_added": 0,  "total_messages": 0}